Retrieval: FTS5 search and concepts
===================================

Full-text search, concept relations (synonym/rivalry overlay).

search
------

.. automodule:: arborist.search
   :members:
   :undoc-members:
   :show-inheritance:

sources
-------

.. automodule:: arborist.source
   :members:
   :undoc-members:

.. automodule:: arborist.sources.wikipedia
   :members:
   :undoc-members:

.. automodule:: arborist.sources.html_page
   :members:
   :undoc-members:

concepts
--------

.. automodule:: arborist.concepts
   :members:
   :undoc-members:
   :show-inheritance:
